App-Netdisco v2.057002 Perl 5 v5.36.0 x86_64-linux-thread-multi

Status
Pass
From
Chris Hills
Dist
App-Netdisco v2.057002
Platform
Perl 5 v5.36.0 x86_64-linux-thread-multi
Date
2022-09-25T12:43:03
ID
98757748-3ccf-11ed-b835-4a8d459d8ad9
This distribution has been tested as part of the CPAN Testers
project, supporting the Perl programming language.  See
http://wiki.cpantesters.org/ for more information or email
questions to cpan-testers-discuss@perl.org


--
Dear OLIVER,

This is a computer-generated report for App-Netdisco-2.057002
on perl 5.36.0, created by App::cpanminus::reporter 0.17 (1.7046).

Thank you for uploading your work to CPAN.  Congratulations!
All tests were successful.

Sections of this report:

    * Tester comments
    * Program output
    * Prerequisites
    * Environment and other context

------------------------------
TESTER COMMENTS
------------------------------

Additional comments from tester:

none provided

------------------------------
PROGRAM OUTPUT
------------------------------

Output from '':

Running Build.PL
Checking prerequisites...
  requires:
    !  Algorithm::Cron is not installed
    !  AnyEvent is not installed
    !  AnyEvent::DNS::EtcHosts is not installed
    !  App::cpanminus is not installed
    !  App::local::lib::helper is not installed
    !  Archive::Extract is not installed
    !  Authen::Radius is not installed
    !  Authen::TacacsPlus is not installed
    !  CGI::Expand is not installed
    !  Command::Runner is not installed
    !  DBD::Pg is not installed
    !  DBIx::Class::Helpers is not installed
    !  Daemon::Control is not installed
    !  Dancer is not installed
    !  Dancer::Plugin::Auth::Extensible is not installed
    !  Dancer::Plugin::DBIC is not installed
    !  Dancer::Plugin::Passphrase is not installed
    !  Dancer::Plugin::Swagger is not installed
    !  Dancer::Session::Cookie is not installed
    !  Data::Printer is not installed
    !  Data::Visitor::Tiny is not installed
    !  EV is not installed
    !  Expect is not installed
    !  File::Slurper is not installed
    !  Guard is not installed
    !  IO::Socket::INET6 is not installed
    !  JSON::XS is not installed
    !  List::MoreUtils is not installed
    !  MCE is not installed
    !  Net::DNS is not installed
    !  Net::LDAP is not installed
    !  Net::OpenSSH is not installed
    !  NetAddr::IP is not installed
    !  NetAddr::MAC is not installed
    !  Package::DeprecationManager is not installed
    !  Plack::Handler::Twiggy is not installed
    !  Plack::Middleware::Debug is not installed
    !  Plack::Middleware::Expires is not installed
    !  Plack::Middleware::Headers is not installed
    !  Plack::Middleware::ReverseProxy is not installed
    !  Regexp::Common is not installed
    !  SNMP::Info is not installed
    !  SQL::Translator is not installed
    !  Sereal is not installed
    !  Session::Storage::Secure is not installed
    !  Socket6 is not installed
    !  Starman is not installed
    !  Sys::SigAction is not installed
    !  Template::AutoFilter is not installed
    !  Template::Plugin::CSV is not installed
    !  Template::Plugin::Number::Format is not installed
    !  Term::UI is not installed
    !  URI::Based is not installed
    !  URL::Encode is not installed
    !  URL::Encode::XS is not installed
    !  YAML::XS is not installed
    !  aliased is not installed
    !  autovivification is not installed
  test_requires:
    !  Env::Path is not installed
    !  Test::Compile is not installed
    !  Test::File::ShareDir::Dist is not installed
  recommends:
    *  Graph is not installed
    *  GraphViz is not installed

ERRORS/WARNINGS FOUND IN PREREQUISITES.  You may wish to install the versions
of the modules indicated above before proceeding with this installation

Created MYMETA.yml and MYMETA.json
Creating new 'Build' script for 'App-Netdisco' version '2.057002'
-> OK
Checking dependencies from MYMETA.json ...
Checking if you have JSON 2.90 ... Yes (4.09)
Checking if you have Test::More 1.302083 ... Yes (1.302190)
Checking if you have ExtUtils::Helpers 0 ... Yes (0.026)
Checking if you have Opcode 1.07 ... Yes (1.57)
Checking if you have Dancer::Session::Cookie 0.27 ... No
Checking if you have Net::OpenSSH 0 ... No
Checking if you have List::Util 1.49 ... Yes (1.62)
Checking if you have ExtUtils::Config 0 ... Yes (0.008)
Checking if you have NetAddr::IP 4.068 ... No
Checking if you have Authen::TacacsPlus 0 ... No
Checking if you have EV 0 ... No
Checking if you have Authen::Radius 0 ... No
Checking if you have List::MoreUtils 0.428 ... No
Checking if you have DBD::Pg 0 ... No
Checking if you have SQL::Abstract 1.85 ... Yes (2.000001)
Checking if you have Dancer::Plugin::DBIC 0.2001 ... No
Checking if you have Env::Path 0 ... No
Checking if you have SNMP::Info 3.89 ... No
Checking if you have Dancer::Plugin::Passphrase v2.0.1 ... No
Checking if you have Test::File::ShareDir::Dist 0 ... No
Checking if you have File::Path 0 ... Yes (2.18)
Checking if you have Path::Class 0.32 ... Yes (0.37)
Checking if you have HTTP::Tiny 0.029 ... Yes (0.080)
Checking if you have Starman 0.4008 ... No
Checking if you have Net::LDAP 0 ... No
Checking if you have File::Spec::Functions 0 ... Yes (3.84)
Checking if you have Data::Visitor::Tiny 0 ... No
Checking if you have Archive::Extract 0 ... No
Checking if you have Net::DNS 0.72 ... No
Checking if you have Template::AutoFilter 0 ... No
Checking if you have URL::Encode::XS 0 ... No
Checking if you have Template 2.24 ... Yes (3.100)
Checking if you have SQL::Translator 0.11024 ... No
Checking if you have MCE 1.866 ... No
Checking if you have Regexp::Common 2017060201 ... No
Checking if you have Dancer 1.3132 ... No
Checking if you have Daemon::Control 0.001006 ... No
Checking if you have Sys::SigAction 0 ... No
Checking if you have YAML::XS 0.41 ... No
Checking if you have Command::Runner 0 ... No
Checking if you have Storable 0 ... Yes (3.26)
Checking if you have Scope::Guard 0 ... Yes (0.21)
Checking if you have version 0.9902 ... Yes (0.9929)
Checking if you have File::Slurper 0.009 ... No
Checking if you have MIME::Base64 3.13 ... Yes (3.16)
Checking if you have autovivification 0 ... No
Checking if you have Role::Tiny 1.002005 ... Yes (2.002004)
Checking if you have CGI::Expand 2.05 ... No
Checking if you have Sub::Util 1.40 ... Yes (1.62)
Checking if you have Plack::Middleware::Headers 0 ... No
Checking if you have Session::Storage::Secure 1.000 ... No
Checking if you have DBIx::Class 0.082841 ... Yes (0.082843)
Checking if you have URI 0 ... Yes (5.12)
Checking if you have Term::UI 0 ... No
Checking if you have Try::Tiny 0 ... Yes (0.31)
Checking if you have Sereal 0 ... No
Checking if you have JSON::XS 3.01 ... No
Checking if you have Moo 1.001000 ... Yes (2.005004)
Checking if you have NetAddr::MAC 0.93 ... No
Checking if you have File::ShareDir 1.03 ... Yes (1.118)
Checking if you have Template::Plugin::CSV 0.04 ... No
Checking if you have AnyEvent 7.05 ... No
Checking if you have Package::DeprecationManager 0 ... No
Checking if you have Pod::Usage 0 ... Yes (2.01)
Checking if you have Net::Domain 1.23 ... Yes (3.14)
Checking if you have Plack::Handler::Twiggy 0 ... No
Checking if you have Module::Load 0.32 ... Yes (0.36)
Checking if you have Template::Plugin::Number::Format 1.02 ... No
Checking if you have IO::Socket::SSL 2.048 ... Yes (2.074)
Checking if you have Plack::Middleware::Expires 0.03 ... No
Checking if you have Dancer::Plugin::Auth::Extensible 0.30 ... No
Checking if you have AnyEvent::DNS::EtcHosts 0 ... No
Checking if you have DBIx::Class::Helpers 2.033004 ... No
Checking if you have Algorithm::Cron 0.07 ... No
Checking if you have Plack 1.0023 ... Yes (1.0048)
Checking if you have App::cpanminus 1.6108 ... No
Checking if you have Expect 0 ... No
Checking if you have Test::Compile 0 ... No
Checking if you have URL::Encode 0.03 ... No
Checking if you have Socket6 0.23 ... No
Checking if you have IO::Socket::INET6 2.72 ... No
Checking if you have namespace::clean 0.24 ... Yes (0.27)
Checking if you have HTML::Parser 3.70 ... Yes (3.78)
Checking if you have Dancer::Plugin::Swagger 0 ... No
Checking if you have Term::ReadLine 0 ... Yes (1.17)
Checking if you have Plack::Middleware::ReverseProxy 0.15 ... No
Checking if you have App::local::lib::helper 0.07 ... No
Checking if you have aliased 0 ... No
Checking if you have YAML 0.84 ... Yes (1.30)
Checking if you have JSON::PP 0 ... Yes (4.07)
Checking if you have Plack::Middleware::Debug 0 ... No
Checking if you have URI::Based 0 ... No
Checking if you have Guard 1.022 ... No
Checking if you have ExtUtils::InstallPaths 0 ... Yes (0.012)
Checking if you have Data::Printer 0 ... No
Checking if you have Sub::Install 0 ... Yes (0.928)
==> Found dependencies: Dancer::Session::Cookie, Net::OpenSSH, NetAddr::IP, Authen::TacacsPlus, EV, Authen::Radius, List::MoreUtils, DBD::Pg, Dancer::Plugin::DBIC, Env::Path, SNMP::Info, Dancer::Plugin::Passphrase, Test::File::ShareDir::Dist, Starman, Net::LDAP, Data::Visitor::Tiny, Archive::Extract, Net::DNS, Template::AutoFilter, URL::Encode::XS, SQL::Translator, MCE, Regexp::Common, Dancer, Daemon::Control, Sys::SigAction, YAML::XS, Command::Runner, File::Slurper, autovivification, CGI::Expand, Plack::Middleware::Headers, Session::Storage::Secure, Term::UI, Sereal, JSON::XS, NetAddr::MAC, Template::Plugin::CSV, AnyEvent, Package::DeprecationManager, Plack::Handler::Twiggy, Template::Plugin::Number::Format, Plack::Middleware::Expires, Dancer::Plugin::Auth::Extensible, AnyEvent::DNS::EtcHosts, DBIx::Class::Helpers, Algorithm::Cron, App::cpanminus, Expect, Test::Compile, URL::Encode, Socket6, IO::Socket::INET6, Dancer::Plugin::Swagger, Plack::Middleware::ReverseProxy, App::local::lib::helper, aliased, Plack::Middleware::Debug, URI::Based, Guard, Data::Printer
Searching Dancer::Session::Cookie on mirror https://www.cpan.org ...
--> Working on Dancer::Session::Cookie
Fetching https://www.cpan.org/authors/id/Y/YA/YANICK/Dancer-Session-Cookie-0.30.tar.gz
-> OK
Unpacking Dancer-Session-Cookie-0.30.tar.gz
Manifying 1 pod document
Installing /home/chaz/perl5/lib/perl5/Dancer/Session/Cookie.pm
Installing /home/chaz/perl5/man/man3/Dancer::Session::Cookie.3
Appending installation info to /home/chaz/perl5/lib/perl5/x86_64-linux-thread-multi/perllocal.pod
-> OK
Successfully installed Dancer-Session-Cookie-0.30
Installing /home/chaz/perl5/lib/perl5/x86_64-linux-thread-multi/.meta/Dancer-Session-Cookie-0.30/install.json
Installing /home/chaz/perl5/lib/perl5/x86_64-linux-thread-multi/.meta/Dancer-Session-Cookie-0.30/MYMETA.json
Searching Net::OpenSSH on mirror https://www.cpan.org ...
--> Working on Net::OpenSSH
Fetching https://www.cpan.org/authors/id/S/SA/SALVA/Net-OpenSSH-0.82.tar.gz
-> OK
Unpacking Net-OpenSSH-0.82.tar.gz
Manifying 7 pod documents
Installing /home/chaz/perl5/lib/perl5/Net/OpenSSH.pm
Installing /home/chaz/perl5/lib/perl5/Net/OpenSSH/ConnectionCache.pm
Installing /home/chaz/perl5/lib/perl5/Net/OpenSSH/Constants.pm
Installing /home/chaz/perl5/lib/perl5/Net/OpenSSH/SSH.pm
Installing /home/chaz/perl5/lib/perl5/Net/OpenSSH/ModuleLoader.pm
Installing /home/chaz/perl5/lib/perl5/Net/OpenSSH/ObjectRemote.pm
Installing /home/chaz/perl5/lib/perl5/Net/OpenSSH/ShellQuoter.pm
Installing /home/chaz/perl5/lib/perl5/Net/OpenSSH/OSTracer.pm
Installing /home/chaz/perl5/lib/perl5/Net/OpenSSH/ShellQuoter/MSWin.pm
Installing /home/chaz/perl5/lib/perl5/Net/OpenSSH/ShellQuoter/Chain.pm
Installing /home/chaz/perl5/lib/perl5/Net/OpenSSH/ShellQuoter/fish.pm
Installing /home/chaz/perl5/lib/perl5/Net/OpenSSH/ShellQuoter/csh.pm
Installing /home/chaz/perl5/lib/perl5/Net/OpenSSH/ShellQuoter/MSCmd.pm
Installing /home/chaz/perl5/lib/perl5/Net/OpenSSH/ShellQuoter/POSIX.pm
Appending installation info to /home/chaz/perl5/lib/perl5/x86_64-linux-thread-multi/perllocal.pod
-> OK
Successfully installed Net-OpenSSH-0.82
Installing /home/chaz/perl5/lib/perl5/x86_64-linux-thread-multi/.meta/Net-OpenSSH-0.82/install.json
Installing /home/chaz/perl5/lib/perl5/x86_64-linux-thread-multi/.meta/Net-OpenSSH-0.82/MYMETA.json
Searching NetAddr::IP on mirror https://www.cpan.org ...
--> Working on NetAddr::IP
Fetching https://www.cpan.org/authors/id/M/MI/MIKER/NetAddr-IP-4.079.tar.gz
-> OK
Unpacking NetAddr-IP-4.079.tar.gz
make[2]: Leaving directory '/home/chaz/.cpanm/work/1664107996.2732576/NetAddr-IP-4.079/Lite/Util'
PERL_DL_NONLAZY=1 "/home/chaz/.local/local/perl-5.36.0/bin/perl" "-MExtUtils::Command::MM" "-MTest::Harness" "-e" "undef *Test::Harness::Switches; test_harness(0, '../blib/lib', '../blib/arch')" t/*.t
t/addr.t .............. ok
t/aton.t .............. ok
t/bigint.t ............ ok
t/bignums.t ........... ok
t/bin_ips.t ........... ok
t/bits.t .............. ok
t/broadcast.t ......... ok
t/bug62521.t .......... ok
t/bug75976.t .......... ok
t/cidr.t .............. ok
t/constants.t ......... ok
t/contains.t .......... ok
t/copy.t .............. ok
t/firstlast.t ......... ok
t/ipv4FFFF.t .......... ok
t/is_local.t .......... ok
t/lemasklen.t ......... ok
t/loops.t ............. ok
t/lower.t ............. ok
t/mask.t .............. ok
t/masklen.t ........... ok
t/netaddr.t ........... ok
t/network.t ........... ok
t/new-nth.t ........... ok
t/new-num.t ........... ok
t/nofqdn.t ............ ok
t/numeric.t ........... ok
t/old-nth.t ........... ok
t/old-num.t ........... ok
t/over-qq.t ........... ok
t/over_comp.t ......... ok
t/over_copy.t ......... ok
t/over_equal.t ........ ok
t/over_math.t ......... ok
t/overminus.t ......... ok
t/pathological.t ...... ok
t/range.t ............. ok
t/relops.t ............ ok
t/rfc_1918.t .......... ok
t/v4-aton.t ........... ok
t/v4-badnm.t .......... ok
t/v4-base.t ........... ok
t/v4-basem.t .......... ok
t/v4-cidr.t ........... ok
t/v4-cnew.t ........... ok
t/v4-contains.t ....... ok
t/v4-last.t ........... ok
t/v4-new-first.t ...... ok
t/v4-new.t ............ ok
t/v4-new_from_aton.t .. ok
t/v4-no_octal.t ....... ok
t/v4-num.t ............ ok
t/v4-numeric.t ........ ok
t/v4-old-first.t ...... ok
t/v4-range.t .......... ok
t/v4-snew.t ........... ok
# 
# 	The following 8 tests involve resolving (hopefully)
# 	non-existant names. This may take a while.
t/v4-wnew.t ........... ok
t/v4_new_cis.t ........ ok
t/v6-cnew-uri.t ....... ok
t/v6-cnew.t ........... ok
t/v6-contains.t ....... ok
t/v6-inc.t ............ ok
t/v6-new-base-uri.t ... ok
t/v6-new-base.t ....... ok
t/v6-new_cis6_base.t .. ok
t/v6-new_cis_base.t ... ok
t/v6-num.t ............ ok
t/v6-numeric-uri.t .... ok
t/v6-numeric.t ........ ok
t/v6-old-base-uri.t ... ok
t/v6-old-base.t ....... ok
t/version.t ........... ok
t/within.t ............ ok
All tests successful.
Files=73, Tests=3651,  5 wallclock secs ( 0.29 usr  0.08 sys +  2.78 cusr  0.59 csys =  3.74 CPU)
Result: PASS

------------------------------
PREREQUISITES
------------------------------

Prerequisite modules loaded:

    No requirements found

------------------------------
ENVIRONMENT AND OTHER CONTEXT
------------------------------

Environment variables:

    LANG = en_GB.UTF-8
    PATH = /home/chaz/.deno/bin:/home/chaz/perl5/bin:/home/chaz/.local/local/apache-maven/bin:/home/chaz/.dotnet/tools:/home/chaz/go/bin:/home/chaz/.cargo/bin:/home/chaz/bin:/home/chaz/.local/bin:/home/chaz/.deno/bin:/home/chaz/perl5/bin:/usr/share/Modules/bin:/usr/local/bin:/usr/bin:/usr/local/sbin:/usr/sbin:/home/chaz/.dotnet/tools
    PERL5LIB = /home/chaz/perl5/lib/perl5:/home/chaz/perl5/lib/perl5
    PERL_CPANM_OPT = --from https://www.cpan.org
    PERL_LOCAL_LIB_ROOT = /home/chaz/perl5:/home/chaz/perl5
    PERL_MB_OPT = --install_base "/home/chaz/perl5"
    PERL_MM_OPT = INSTALL_BASE=/home/chaz/perl5
    SHELL = /bin/bash
    TERM = tmux-256color

Perl special variables (and OS-specific diagnostics, for MSWin32):

    EGID = 1000 10 63 986 1000
    EUID = 1000
    EXECUTABLE_NAME = /home/chaz/.local/local/perl-5.36.0/bin/perl
    GID = 1000 10 63 986 1000
    UID = 1000

Perl module toolchain versions installed:

    Module              Have    
    ------------------- --------
    CPAN                2.33    
    CPAN::Meta          2.150010
    Cwd                 3.84    
    ExtUtils::CBuilder  0.280236
    ExtUtils::Command   7.64    
    ExtUtils::Install   2.20    
    ExtUtils::MakeMaker 7.64    
    ExtUtils::Manifest  1.73    
    ExtUtils::ParseXS   3.45    
    File::Spec          3.84    
    JSON                4.09    
    JSON::PP            4.07    
    Module::Build       0.4231  
    Module::Signature   n/a     
    Parse::CPAN::Meta   2.150010
    Test::Harness       3.44    
    Test::More          1.302190
    YAML                1.30    
    YAML::Syck          n/a     
    version             0.9929  


--

Summary of my perl5 (revision 5 version 36 subversion 0) configuration:
   
  Platform:
    osname=linux
    osvers=4.18.0-372.9.1.el8.x86_64
    archname=x86_64-linux-thread-multi
    uname='linux gbhnksv001.foxhole.furry.be 4.18.0-372.9.1.el8.x86_64 #1 smp tue may 10 08:57:35 edt 2022 x86_64 gnulinux '
    config_args='-des -Dprefix=/home/chaz/.local/local/perl-5.36.0 -Duseshrplib -Dusethreads -Dcc=clang -Accflags=-march=x86-64-v3'
    hint=recommended
    useposix=true
    d_sigaction=define
    useithreads=define
    usemultiplicity=define
    use64bitint=define
    use64bitall=define
    uselongdouble=undef
    usemymalloc=n
    default_inc_excludes_dot=define
  Compiler:
    cc='clang'
    ccflags ='-D_REENTRANT -D_GNU_SOURCE -march=x86-64-v3 -fno-strict-aliasing -pipe -fstack-protector-strong -I/usr/local/include -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64'
    optimize='-O2'
    cppflags='-D_REENTRANT -D_GNU_SOURCE -march=x86-64-v3 -fno-strict-aliasing -pipe -fstack-protector-strong -I/usr/local/include'
    ccversion=''
    gccversion='Clang 13.0.1 (https://github.com/syoyo/llvm-build-script.git 69811f8495283846f1e88fece5be2c316d2599ba)'
    gccosandvers=''
    intsize=4
    longsize=8
    ptrsize=8
    doublesize=8
    byteorder=12345678
    doublekind=3
    d_longlong=define
    longlongsize=8
    d_longdbl=define
    longdblsize=16
    longdblkind=3
    ivtype='long'
    ivsize=8
    nvtype='double'
    nvsize=8
    Off_t='off_t'
    lseeksize=8
    alignbytes=8
    prototype=define
  Linker and Libraries:
    ld='clang'
    ldflags =' -fstack-protector-strong -L/usr/local/lib'
    libpth=/home/chaz/.local/local/clang+llvm-13.0.1/lib/clang/13.0.1/lib /usr/local/lib /usr/lib /usr/lib64 /usr/local/lib64
    libs=-lpthread -lnsl -lgdbm -ldb -ldl -lm -lcrypt -lutil -lc -lgdbm_compat
    perllibs=-lpthread -lnsl -ldl -lm -lcrypt -lutil -lc
    libc=libc-2.28.so
    so=so
    useshrplib=true
    libperl=libperl.so
    gnulibc_version='2.28'
  Dynamic Linking:
    dlsrc=dl_dlopen.xs
    dlext=so
    d_dlsymun=undef
    ccdlflags='-Wl,-E -Wl,-rpath,/home/chaz/.local/local/perl-5.36.0/lib/5.36.0/x86_64-linux-thread-multi/CORE'
    cccdlflags='-fPIC'
    lddlflags='-shared -O2 -L/usr/local/lib -fstack-protector-strong'


Characteristics of this binary (from libperl): 
  Compile-time options:
    HAS_TIMES
    MULTIPLICITY
    PERLIO_LAYERS
    PERL_COPY_ON_WRITE
    PERL_DONT_CREATE_GVSV
    PERL_MALLOC_WRAP
    PERL_OP_PARENT
    PERL_PRESERVE_IVUV
    USE_64_BIT_ALL
    USE_64_BIT_INT
    USE_ITHREADS
    USE_LARGE_FILES
    USE_LOCALE
    USE_LOCALE_COLLATE
    USE_LOCALE_CTYPE
    USE_LOCALE_NUMERIC
    USE_LOCALE_TIME
    USE_PERLIO
    USE_PERL_ATOF
    USE_REENTRANT_API
    USE_THREAD_SAFE_LOCALE
  Built under linux
  Compiled at May 28 2022 10:32:04
  %ENV:
    PERL5LIB="/home/chaz/perl5/lib/perl5:/home/chaz/perl5/lib/perl5"
    PERL_CPANM_OPT="--from https://www.cpan.org"
    PERL_LOCAL_LIB_ROOT="/home/chaz/perl5:/home/chaz/perl5"
    PERL_MB_OPT="--install_base "/home/chaz/perl5""
    PERL_MM_OPT="INSTALL_BASE=/home/chaz/perl5"
  @INC:
    /home/chaz/perl5/lib/perl5/x86_64-linux-thread-multi
    /home/chaz/perl5/lib/perl5
    /home/chaz/perl5/lib/perl5/x86_64-linux-thread-multi
    /home/chaz/perl5/lib/perl5
    /home/chaz/.local/local/perl-5.36.0/lib/site_perl/5.36.0/x86_64-linux-thread-multi
    /home/chaz/.local/local/perl-5.36.0/lib/site_perl/5.36.0
    /home/chaz/.local/local/perl-5.36.0/lib/5.36.0/x86_64-linux-thread-multi
    /home/chaz/.local/local/perl-5.36.0/lib/5.36.0